.\"	$NetBSD: mrinfo.8,v 1.7 2003/03/05 21:59:59 wiz Exp $
.\"
.\" Written Wed Mar 24 1993 by Van Jacobson (adapted from the
.\" multicast mapper written by Pavel Curtis).
.\"
.\" The lawyers insist we include the following UC copyright notice.
.\" The mapper from which this is derived contained a Xerox copyright
.\" notice which follows the UC one.  Try not to get depressed noting
.\" that the legal gibberish is larger than the program.
.\"
.\" Copyright (c) 1993 Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the Computer Systems
.\"	Engineering Group at Lawrence Berkeley Laboratory.
.\" 4. Neither the name of the University nor of the Laboratory may be used
.\"    to endorse or promote products derived from this software without
.\"    specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\" ---------------------------------
.\" Copyright (c) 1992, 2001 Xerox Corporation.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions are met:
.\"
.\" Redistributions of source code must retain the above copyright notice,
.\" this list of conditions and the following disclaimer.
.\"
.\" Redistributions in binary form must reproduce the above copyright notice,
.\" this list of conditions and the following disclaimer in the documentation
.\" and/or other materials provided with the distribution.
.\"
.\" Neither name of the Xerox, PARC, nor the names of its contributors may be
.\" used to endorse or promote products derived from this software 
.\" without specific prior written permission. 
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE XEROX CORPORATION OR
.\" CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
.\" EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
.\" PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
.\" OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
.\" WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
.\" OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
.\" EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
.\"
.TH MRINFO 8
.UC 5
.SH NAME
mrinfo \- Displays configuration info from a multicast router
.SH SYNOPSIS
.B /usr/sbin/mrinfo
[
.B \-d
.I debug_level
] [
.B \-r
.I retry_count
] [
.B \-t
.I timeout_count
]
.B multicast_router

.SH DESCRIPTION
.I mrinfo
attempts to display the configuration information from the multicast router
.I multicast_router.
.PP
.I mrinfo
uses the ASK_NEIGHBORS IGMP message to the specified multicast router. If this
multicast router responds, the version number and a list of their neighboring
multicast router addresses is part of that response. If the responding router
has a recent multicast version number, then
.I mrinfo
requests additional information such as metrics, thresholds, and flags from the
multicast router. Once the specified multicast router responds, the
configuration is displayed to the standard output.
.br
.ne 5
.SH INVOCATION
.PP
"\-d" option sets the debug level. When the debug level is greater than the
default value of 0, addition debugging messages are printed. Regardless of
the debug level, an error condition, will always write an error message and will
cause
.I mrinfo
to terminate.
Non-zero debug levels have the following effects:
.IP "level 1"
packet warnings are printed to stderr.
.IP "level 2"
all level 1 messages plus notifications down networks are printed to stderr.
.IP "level 3"
all level 2 messages plus notifications of all packet
timeouts are printed to stderr.
.PP
"\-r retry_count" sets the neighbor query retry limit. Default is 3 retry.
.PP
"\-t timeout_count" sets the number of seconds to wait for a neighbor query
reply. Default timeout is 4 seconds.
.PP
.SH SAMPLE OUTPUT
.nf
.I mrinfo mbone.phony.dom.net
127.148.176.10 (mbone.phony.dom.net) [version 3.3]:
 127.148.176.10 -\*[Gt] 0.0.0.0 (?) [1/1/querier]
 127.148.176.10 -\*[Gt] 127.0.8.4 (mbone2.phony.dom.net) [1/45/tunnel]
 127.148.176.10 -\*[Gt] 105.1.41.9 (momoney.com) [1/32/tunnel/down]
 127.148.176.10 -\*[Gt] 143.192.152.119 (mbone.dipu.edu) [1/32/tunnel]
.fi
.PP
For each neighbor of the queried multicast router, the IP of the queried router
is displayed, followed by the IP and name of the neighbor. In square brackets
the metric (cost of connection), the threshold (multicast ttl) is displayed. If
the queried multicast router has a newer version number, the type (tunnel,
srcrt) and status (disabled, down) of the connection is displayed.
.PP
.SH IMPORTANT NOTE
.I mrinfo
must be run as root.
.PP
.SH SEE ALSO
.BR mrouted (8) ,
.BR map-mbone (8) ,
.BR mtrace (8)
.PP
.SH AUTHOR
Van Jacobson
